Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox.record
Class FormattedWriterRecord

`java.lang.Object
oracle.toplink.publicinterface.DatabaseRow
oracle.toplink.ox.record.XMLRecord
oracle.toplink.ox.record.MarshalRecord
oracle.toplink.ox.record.WriterRecord
oracle.toplink.ox.record.FormattedWriterRecord`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, Record, java.io.Serializable

public class FormattedWriterRecord
extends WriterRecord

Use this type of MarshalRecord when the marshal target is a Writer and the XML should be formatted with carriage returns and indenting.

`XMLContext xmlContext = new XMLContext("session-name");
XMLMarshaller xmlMarshaller = xmlContext.createMarshaller();
FormattedWriterRecord formattedWriterRecord = new FormattedWriterRecord();
formattedWriterRecord.setWriter(myWriter);
xmlMarshaller.marshal(myObject, formattedWriterRecord);
`

If the marshal(Writer) and setFormattedOutput(true) method is called on XMLMarshaller, then the Writer is automatically wrapped in a FormattedWriterRecord.

`XMLContext xmlContext = new XMLContext("session-name");
XMLMarshaller xmlMarshaller = xmlContext.createMarshaller();
xmlMarshaller xmlMarshaller.setFormattedOutput(true);
xmlMarshaller.marshal(myObject, myWriter);
`

See Also:
  `XMLMarshaller`, Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`FormattedWriterRecord()`

Methods inherited from class oracle.toplink.ox.record.WriterRecord
`getWriter, setWriter`

Methods inherited from class oracle.toplink.ox.record.MarshalRecord
`clear, closeStartGroupingElements, endPrefixMapping, getDocument, getDOM, getLocalName, getNamespaceURI, getPositionalNodes, startPrefixMapping, transformToXML`

Methods inherited from class oracle.toplink.ox.record.XMLRecord
`contains, resolveNamespacePrefix`

Methods inherited from class oracle.toplink.publicinterface.DatabaseRow
`containsKey, containsKey, containsValue, elements, entrySet, get, get, getValues, isEmpty, keys, keySet, put, put, putAll, size, values`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### FormattedWriterRecord

    public FormattedWriterRecord()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD